GDB (xrefs)

Typedefs | Functions
/tmp/gdb-8.1/gdb/user-regs.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct value *() | user_reg_read_ftype(struct frame_info *frame, const void *baton)

## Functions
int | user_reg_map_name_to_regnum (struct gdbarch *gdbarch, const char *str, int len)
const char * | user_reg_map_regnum_to_name (struct gdbarch *gdbarch, int regnum)
struct value * | value_of_user_reg (int regnum, struct frame_info *frame)
void | user_reg_add_builtin (const char *name, user_reg_read_ftype *read, const void *baton)
void | user_reg_add (struct gdbarch *gdbarch, const char *name, user_reg_read_ftype *read, const void *baton)

## Typedef Documentation

## ◆ user_reg_read_ftype

typedef struct value*() user_reg_read_ftype(struct frame_info *frame, const void *baton)

Definition at line 59 of file user-regs.h.

## Function Documentation

## ◆ user_reg_add()

void user_reg_add | ( | struct gdbarch * | gdbarch,
|  | const char * | name,
|  | user_reg_read_ftype * | read,
|  | const void * | baton
| ) |  |

Definition at line 112 of file user-regs.c.

References append_user_reg(), deprecated_set_gdbarch_data(), GDBARCH_OBSTACK_ZALLOC, name, read(), user_regs_data, and user_regs_init().

Referenced by aarch64_gdbarch_init(), arm_gdbarch_init(), mips_gdbarch_init(), and nds32_gdbarch_init().

## ◆ user_reg_add_builtin()

void user_reg_add_builtin | ( | const char * | name,
|  | user_reg_read_ftype * | read,
|  | const void * | baton
| ) |  |

Definition at line 85 of file user-regs.c.

References append_user_reg(), builtin_user_regs, name, read(), and XNEW.

Referenced by _initialize_frame_reg().

## ◆ user_reg_map_name_to_regnum()

int user_reg_map_name_to_regnum | ( | struct gdbarch * | gdbarch,
|  | const char * | str,
|  | int | len
| ) |  |

Definition at line 130 of file user-regs.c.

References gdb_user_regs::first, gdbarch_num_pseudo_regs(), gdbarch_num_regs(), gdbarch_register_name(), reg::name, name, and user_regs_data.

Referenced by aarch64_stap_parse_special_token(), arm_dwarf_reg_to_regnum(), arm_neon_quad_read(), arm_neon_quad_write(), arm_pseudo_read(), arm_pseudo_write(), arm_push_dummy_call(), arm_return_value(), arm_stap_parse_special_token(), encode_actions_1(), evaluate_subexp_standard(), frapy_read_register(), gdbscm_frame_read_register(), gen_expr(), i386_stap_parse_special_token_three_arg_disp(), i386_stap_parse_special_token_triplet(), init_sim_regno_table(), nds32_gdbarch_init(), ppc_stap_parse_special_token(), pyuw_parse_register_id(), registers_info(), stap_parse_register_operand(), and write_dollar_variable().

## ◆ user_reg_map_regnum_to_name()

const char* user_reg_map_regnum_to_name | ( | struct gdbarch * | gdbarch,
|  | int | regnum
| ) |  |

Definition at line 193 of file user-regs.c.

References gdbarch_num_pseudo_regs(), gdbarch_num_regs(), gdbarch_register_name(), reg::name, regnum, and usernum_to_user_reg().

Referenced by amd64_dtrace_parse_probe_argument(), ax_reg(), ax_reg_mask(), frame_unwind_register_value(), pyuw_parse_register_id(), reg_or_group_completer_1(), registers_info(), and value_fetch_lazy().

## ◆ value_of_user_reg()

struct value* value_of_user_reg | ( | int | regnum,
|  | struct frame_info * | frame
| ) |  |

Definition at line 213 of file user-regs.c.

References gdb_assert, gdbarch_num_pseudo_regs(), gdbarch_num_regs(), get_frame_arch(), regnum, and usernum_to_user_reg().

Referenced by registers_info(), and value_of_register().